Get Pass Images By Type
curl --request GET \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passes > Pass Images
Get Pass Images By Type
Retrieve all images of a specific type associated with a pass.
Parameters:
type: The type of images to retrieve.lpass: Pass object, automatically resolved from the request.
Returns:
list: A list of serialized image data.
GET
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
images
/
{type}
Get Pass Images By Type
curl --request GET \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip
Args: StrEnum (type): description
Available options:
logo, icon, strip, footer, background, thumbnail Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
